'use strict';

angular.module('adf.widget.electre.lavoisier')
.controller('lavoisierTableCtrl',
    [
        "$scope", "config", "ngTableDefaults", "baseController",
        function ($scope, config, ngTableDefaults, baseController) {
            $scope.valid = false;

            if (config.baseurl) {
                config.rendering = 'rowcol';
                config.filter = config.filter || true;
                
                $scope.tableWidgetConfig = {
                    success: function () {
                        $scope.processing = false;
                        $scope.request_failed = false;
                        $scope.processing_failed = false;
                        $scope.success = true;
                    },
                    processingFailed: function () {
                        $scope.processing = false;
                        $scope.success = false;
                        $scope.request_failed = false;
                        $scope.processing_failed = true;
                    },
                    requestFailed: function () {
                        $scope.processing = false;
                        $scope.success = false;
                        $scope.processing_failed = false;
                        $scope.request_failed = true;
                    },
                    processing: function () {
                        $scope.request_failed = false;
                        $scope.processing_failed = false;
                        $scope.success = false;
                        $scope.processing = true;
                    },
                    httpConfig : baseController.getUrlObject(config),
                    tableConfig : {
                        filter : config.filter
                    }
                };
//                    url : "http://localhost:8080/lavoisier/test",
//                    params : { accept : 'xml' }

                ngTableDefaults.params.count = 5;
                ngTableDefaults.settings.counts = [5, 10, 25];
                ngTableDefaults.settings.paginationMaxBlocks = 4;
                ngTableDefaults.settings.paginationMinBlocks = 2;

                $scope.valid = true;
            }
        }
    ]
);